/***************************************************************************
                          videospot.h  -  description
                             -------------------
    begin                : Thu Aug 28 2003
    copyright            : (C) 2003 by Martin Merck
    email                : merck@astro.uni-wuerzburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef VIDEOSPOT_H
#define VIDEOSPOT_H

#include <qobject.h>

/**
  *@author Martin Merck
  */

class VideoSpot : public QObject
{
public: 
	VideoSpot();
	VideoSpot(  int p_iX, int p_iY  );
	virtual ~VideoSpot();
  /** No descriptions */
  virtual bool contains( int p_iX, int p_iY );
  /** No descriptions */
  virtual void append( int p_iX, int p_iY, int p_iWeight );
  /** No descriptions */
  virtual int getX();
  /** No descriptions */
  virtual int getY();
  /** No descriptions */
  virtual bool isValid();
public: // Public attributes
  /**  */
//  QList<VideoPixel> m_qlPixels;
private: // Private attributes
  /**  */
  int m_iXSum;
  /**  */
  int m_iYSum;
public: // Public attributes
  /**  */
  int m_iNumPixel;
  /**  */
  int m_iWSum;
};

#endif
